/*
 * Copyright 2008, Google Inc.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 
 *     * Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following disclaimer
 * in the documentation and/or other materials provided with the
 * distribution.
 *     * Neither the name of Google Inc. nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


char test1[] = {0x55,
		0x89, 0xe5,
		0x83, 0xec, 0x08,
		0xe8, 0x81, 0x00, 0x00, 0x00,
		0xe8, 0xd3, 0x00, 0x00, 0x00,
		0xe8, 0xf3, 0x04, 0x00, 0x00,
		0xc9,
		0xc3,
		0x00, 0x00};

char test2[] = {
  0x8d, 0x4c, 0x24, 0x04,
  0x83, 0xe4, 0xf0,
  0xff, 0x71, 0xfc,
  0x55,
  0x89, 0xe5,
  0x51,
  0x66, 0x90,
  0x83, 0xec, 0x24,
  0x89, 0x4d, 0xe8,
  0xc7, 0x45, 0xf4, 0x0a, 0x00, 0x00, 0x00,
  0x8b, 0x45, 0xe8,
  0x83, 0x38, 0x01,
  0x7f, 0x2b,
  0x8b, 0x55, 0xe8,
  0x8b, 0x42, 0x04,
  0x8b, 0x00,
  0x8d, 0x76, 0x00,
  0x89, 0x44, 0x24, 0x04,
  0xc7, 0x04, 0x24, 0x54, 0x14, 0x00, 0x08,
  0xe8, 0xc0, 0x02, 0x00, 0x00,
  0xc7, 0x04, 0x24, 0x01, 0x00, 0x00, 0x00,
  0x8d, 0x74, 0x26, 0x00,
  0xe8, 0xc0, 0x01, 0x00, 0x00,
  0x8b, 0x55, 0xe8,
  0x8b, 0x42, 0x04,
  0x83, 0xc0, 0x04,
  0x8b, 0x00,
  0x89, 0x04, 0x24,
  0x66, 0x90,
  0x8d, 0x74, 0x26, 0x00,
  0x8d, 0xbc, 0x27, 0x00, 0x00, 0x00, 0x00,
  0xe8, 0x90, 0x09, 0x00, 0x00,
  0x89, 0x45, 0xf8,
  0x8b, 0x45, 0xe8,
  0x83, 0x38, 0x02,
  0x7e, 0x25,
  0x8b, 0x55, 0xe8,
  0x66, 0x90,
  0x8b, 0x42, 0x04,
  0x83, 0xc0, 0x08,
  0x8b, 0x00,
  0x89, 0x04, 0x24,
  0xe8, 0x70, 0x09, 0x00, 0x00,
  0x89, 0x45, 0xf4,
  0x8d, 0xb6, 0x00, 0x00, 0x00, 0x00,
  0x8d, 0xbc, 0x27, 0x00, 0x00, 0x00, 0x00,
  0x8b, 0x45, 0xf4,
  0xa3, 0x28, 0x2f, 0x00, 0x08,
  0xeb, 0x26,
  0x8d, 0xb6, 0x00, 0x00, 0x00, 0x00,
  0xc7, 0x44, 0x24, 0x08, 0x03, 0x00, 0x00, 0x00, 
  0xc7, 0x44, 0x24, 0x04, 0x01, 0x00, 0x00, 0x00, 
  0x8b, 0x45, 0xf4,
  0x89, 0x04, 0x24,
  0x90,
  0x8d, 0x74, 0x26, 0x00,
  0xe8, 0x20, 0x00, 0x00, 0x00,
  0x83, 0x7d, 0xf8, 0x00,
  0x0f, 0x9f, 0xc0,
  0x83, 0x6d, 0xf8, 0x01,
  0x84, 0xc0,
  0x8d, 0x76, 0x00,
  0x75, 0xce,
  0xc7, 0x04, 0x24, 0x00, 0x00, 0x00, 0x00,
  0x66, 0x90,
  0xe8, 0x20, 0x01, 0x00, 0x00,
  0x55,
  0x89, 0xe5,
  0x83, 0xec, 0x1c,
  0x83, 0x7d, 0x08, 0x01,
  0x75, 0x44,
  0x8b, 0x55, 0x0c,
  0x90,
  0x8b, 0x04, 0x95, 0x24, 0x2f, 0x00, 0x08,
  0x83, 0xe8, 0x01,
  0x8d, 0xb6, 0x00, 0x00, 0x00, 0x00,
  0x89, 0x04, 0x95, 0x24, 0x2f, 0x00, 0x08,
  0x8b, 0x55, 0x10,
  0x8d, 0xb6, 0x00, 0x00, 0x00, 0x00,
  0x8b, 0x04, 0x95, 0x24, 0x2f, 0x00, 0x08,
  0x83, 0xc0, 0x01,
  0x8d, 0xb6, 0x00, 0x00, 0x00, 0x00,
  0x89, 0x04, 0x95, 0x24, 0x2f, 0x00, 0x08,
  0xeb, 0x77,
  0x8d, 0xb4, 0x26, 0x00, 0x00, 0x00, 0x00,
  0x8b, 0x45, 0x10,
  0x8b, 0x55, 0x0c,
  0x01, 0xc2,
  0xb8, 0x06, 0x00, 0x00, 0x00,
  0x29, 0xd0,
  0x90
};
